﻿using System;
using System.Collections.Generic;
using System.Windows.Markup;
using System.IO;
using System.Reflection;

namespace SpritePacker
{
	class Program
	{
		public static void Main(string[] args)
		{
			List<string> values = new List<string>();
			for(int i = 0; i < args.Length; i++)
			{
				switch(args[i])
				{
					case "--help":
						/*
						string[] resFiles = System.Reflection.Assembly.GetExecutingAssembly().GetManifestResourceNames();
						foreach (string str in resFiles)
							Console.WriteLine("[{0}]", str);
						*/

						Assembly asm = Assembly.GetExecutingAssembly();
						Stream stream = asm.GetManifestResourceStream("SpritePacker.Help.txt");
						StreamReader source = new StreamReader(stream);
						Console.Write(source.ReadToEnd());
						source.Dispose();
						stream.Dispose();
						return;
					case "--version":
						Console.WriteLine("Version text coming soon!");
						return;
					default:
						values.Add(args[i]);
						break;
				}
			}

			Packer spritePacker = new Packer();
			foreach(string filename in values)
			{
				if (File.Exists(filename))
					spritePacker.Add(new Sprite(filename));
				else
					Console.Error.WriteLine("Warning: Ignoring non-existent file '{0}'.", filename);
			}
			spritePacker.Arrange();
			Console.WriteLine(spritePacker.ToString());
		}
	}
}
